use thiserror::Error;

#[derive(Error, Debug)]
pub enum Error {
    #[error("RegisterError : {0}")]
    RegisterError(Box<dyn std::error::Error>),

    #[error("ConfigError : {0}")]
    ConfigError(Box<dyn std::error::Error>),

    #[error("MessageError : {0}")]
    MessageError(String),
}

unsafe impl Send for Error {}

unsafe impl Sync for Error {}
